Subject: bug#56528: 29.0.50; Emacs lucid segfaults when X dies

From: Visuwesh <[email-masked]>
Date: Wed, 13 Jul 2022 18:53:59 +0530

[புதன் ஜூலை 13, 2022] Eli Zaretskii wrote:

>> Cc: [email-masked]
>> From: Visuwesh <[email-masked]>
>> Date: Wed, 13 Jul 2022 18:36:18 +0530
>> 
>> [Wednesday July 13, 2022] Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text editors" wrote:
>> 
>> > Thanks.  Please see if the bug is now fixed on master.
>> 
>> Unfortunately, Emacs still dies on me.  Backtrace follows,
>
> Btw, what do we expect Emacs to do in this scenario?  If the X server
> is killed, Emacs cannot display anything, so why an abort is not TRT?
> What practically interesting use case does this emulate?

Emacs is running as a daemon, I expect it to survive the death of X.
Emacs dying on me because I killed X is an annoyance since sometimes I
need to restart X.